JiBX
  1. JiBX
  2. JIBX-124

maven plugin pom.xml references RC1 dependency

    Details

    • Type: Bug Bug
    • Status: Closed Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: JiBX 1.1
    • Fix Version/s: None
    • Component/s: maven plugin
    • Labels:
      None
    • Environment:
      Mac OS X, Maven 2, JDK 1.5
    • Number of attachments :
      1

      Description

      Maven2 jibx plugin still depends on the RC1 release of JiBX, though downloads and invokes the RC1 compiler. There are some bugs in RC1, that are fixed in 1.1, though we need to ensure that it gets the right dependencies.

      Here is the diff to fix...

      73c73
      < <version>1.0-RC1</version>

      > <version>1.1</version>
      78c78
      < <version>1.0-RC1</version>

      > <version>1.1</version>

        Activity

        Hide
        Dennis Sosnoski added a comment -

        I'll update this for the 1.1.2 release.

        Show
        Dennis Sosnoski added a comment - I'll update this for the 1.1.2 release.
        Hide
        Dennis Sosnoski added a comment -

        I looked at this and haven't got a clue, and don't want to take the time to learn maven(2). I'll assign it to Andreas in hopes he can pick it up. If not, I'll try again to find someone else to handle maven(2) stuff. With all the people who seem to like to use it you'd think there'd be more who are willing to help configure it. Grumble.

        Show
        Dennis Sosnoski added a comment - I looked at this and haven't got a clue, and don't want to take the time to learn maven(2). I'll assign it to Andreas in hopes he can pick it up. If not, I'll try again to find someone else to handle maven(2) stuff. With all the people who seem to like to use it you'd think there'd be more who are willing to help configure it. Grumble.
        Hide
        Alexey Kharlamov added a comment -

        The patch allows to use maven-jibx-plugin with an arbitrary jibx version.

        Show
        Alexey Kharlamov added a comment - The patch allows to use maven-jibx-plugin with an arbitrary jibx version.
        Hide
        sreeni konda added a comment -

        Can you please give working URL to get the patch?

        All URLs posted at http://jibx.sourceforge.net/maven-jibx-plugin/source-repository.html are not working.

        Thanks,
        Sreeni

        Show
        sreeni konda added a comment - Can you please give working URL to get the patch? All URLs posted at http://jibx.sourceforge.net/maven-jibx-plugin/source-repository.html are not working. Thanks, Sreeni
        Hide
        Jerome Bernard added a comment -

        The Maven 2 central repository now contains JiBX 1.1.5 and the Maven plugin do depend on this version.

        Show
        Jerome Bernard added a comment - The Maven 2 central repository now contains JiBX 1.1.5 and the Maven plugin do depend on this version.

          People

          • Assignee:
            Andreas Brenk
            Reporter:
            Ilya Sterin
          • Votes:
            2 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: